---
title: "Pencarian Telah Berakhir: Mengganti T420 Saya yang Rusak dengan ThinkPad P50 yang Siap Diguncang"
description: Saya akhirnya mendapatkan pengganti untuk laptop ThinkPad T420 saya yang telah rusak, dan ini merupakan peningkatan yang signifikan.
summary: Saya akhirnya mendapatkan pengganti untuk laptop ThinkPad T420 saya yang telah rusak, dan ini merupakan peningkatan yang signifikan.
keywords:
    - Lenovo
    - ThinkPad
    - ThinkPad P50
    - ThinkPad T420
date: 2024-08-29T21:22:51+07:00
lastmod:
draft: false
noindex: false
featured: false
pinned: false
tags:
    - Lenovo
    - ThinkPad
authors:
    - ditatompel
---

Sudah bertahun-tahun saya menggunakan **Lenovo ThinkPad T420** sebagai laptop
keseharian saya. Sudah banyak aplikasi yang lahir dari laptop saya ini. Tidak
sedikit juga server yang saya maintenance melalui [ThinkPad T420 saya][my_t420]
ini.

Sedikit bercerita, CPU ThinkPad T420 saya ini sudah saya upgrade secara mandiri
yang awalnya menggunakan Intel Core [i5-2520M][i52520m] ke Intel Core
[i7-2620M][i72620m]. _Head sink_ juga sudah saya ganti dengan yang lebih baik
untuk meminimasir terjadinya CPU _throttling_.

Untuk memori, saya membekalinya dengan dua keping 8GB RAM DDR3, jadi dia
memiliki total 16GB RAM. Sedangkan untuk _storage_ terpasang 500GB
[Samsung SATA SSD 850 EVO][850evo]; 512GB SSD mSATA; dan 1TB harddisk SATA HGST
7200RPM. Luar biasa! Saya sangat menyukainya!

## T420 Mulai Menunjukan Umurnya

![Screen Crying T420][my_t420_monitor]

Tapi, sekitar bulan Maret 2024 lalu, T420 saya ini mulai _"rewel"_. warna Layar
LCD menjadi tidak jelas dan sangat tidak responsif, beberapa tombol keyboard
sudah tidak berfungsi, dan yang paling parah: dia sudah tidak bisa menjaga
temperatur dan seringkali _overheat_. Bahkan untuk _streaming_ video YouTube
dengan kualitas 480p selama lebih dari 5 menit saja tidak mampu.

Saya tahu, masalah temperatur mungkin bisa diatasi dengan membersihkan kipas
dan memberikan _thermal paste_ yang baik; tapi saya rasa jumlah dana yang harus
dikeluarkan untuk untuk memperbaiki permasalahan-permasalahan diatas akan
mendekati harga satu unit bekas untuk seri yang sama (atau bahkan lebih).

Jadi jalan terbaik adalah membeli sebuah unit lain dengan model yang "muda"
untuk menggantikan ThinkPad T420 yang saat artikel ini ditulis sudah berusia
lebih dari 12 tahun.

## Pilihan Pengganti

Saya tidak perlu laptop _"slim"_, ringan, atau desain yang menawan. Tapi,
selalu ada kriteria yang wajib dipenuhi untuk laptop yang saya gunakan
sehari-hari, yaitu:

1. Harga tidak lebih dari 6.000.000 rupiah.
2. CPU arsitekturnya harus `x86_64` dan support virtualiasi.
3. Memiliki port Ethernet (`RJ-45`).
4. Keyboard harus nyaman dan memberikan sensasi mengetik yang menyenangkan.
5. Mudah dibongkar dan dikonfigurasi serta memiliki banyak input maupun output.
   Misalnya: USB port, jumlah _internal storage_ yang disediakan, dll.
6. Memiliki trackpoint.

Maka jelas, tidak ada pilihan lain selain laptop ThinkPad bekas. Pertanyaannya,
ThinkPad apa yang cocok untuk saya saat ini? Saya suka dengan seri **"T"**,
tetapi juga sangat tertarik dengan seri **"P"**. Dari kedua seri tersebut, ada
beberapa pilihan yang saya kira cocok untuk saya, yaitu:

-   ThinkPad T480
-   ThinkPad T580
-   ThinkPad P51

| Model    | T480                | T580                | P51                 |
| -------- | ------------------- | ------------------- | ------------------- |
| Layar    | 14"                 | 15,6"               | 15,6"               |
| Prosesor | i5-8250U (8th Gen)  | i7-8650U (8th Gen)  | i7-7820HQ (7th Gen) |
| GPU      | -                   | -                   | NVIDIA Quadro M1200 |
| Memori   | 2 banks, up to 32GB | 2 banks, up to 32GB | 4 banks, up to 64GB |
| Disk     | up to 2 drives      | up to 2 drives      | up to 3 drives      |
| Harga    | ~3.600.000          | ~5.000.000          | ~6.200.000          |

Dari perbandingan sederhana table diatas:

-   Harga rata-rata yang saya ambil untuk seri "T" adalah konfigurasi 8GB RAM dan 256 GB SSD.
-   Harga rata-rata yang saya ambil untuk seri "P" adalah konfigurasi 16GB RAM dan 512 GB SSD.

### ThinkPad T480/T580

Bagi saya, perbedaan paling utama dari T480 dan T580 dari segi spesifikasi
_hardware_ ada pada layar dan prosesor. ThinkPad T480 memiliki layar 14 inch,
sedangkan T580 memiliki layar 15,6 inch.

Baik seri T480 ataupun T580 ada tipe yang menggunakan GPU
**NVIDIA Gforce MX150**, tapi untuk jenis tersebut harganya jauh lebih mahal
dan sulit didapat. Keduanya juga memiliki input dan output yang hampir sama,
yaitu:

-   4-in-1 reader (MMC, SD, SDHC, SDXC).
-   2 port USB 3.1 Gen 1.
-   1 port USB 3.1 Type-C Gen 1 (untuk power input dan DisplayPort).
-   1 port USB 3.1 Type-C Gen 2 / Thunderbolt 3.
-   1 port HDMI 1.4b.
-   1 port Ethernet (RJ-45).
-   Headphone/microphone combo jack.

Konfigurasi _storage drive_ utama juga bervariasi, kebanyakan penjual tidak
menyebutkan secara detail apakah drive utama yang terpasang adalah SATA atau
NVMe M.2.

### ThinkPad P51

Seri **"P"** atau penerus seri **"W"** adalah seri ThinkPad yang saya inginkan
dari dulu. Memang jika dilihat generasi CPU-nya, ThinkPad P51 menggunakan satu
generasi lebih tua (Intel Core Gen 7) jika dibandingkan dengan
ThinkPad T480/T580 (Intel Core Gen 8). Tapi jangan terkecoh dari generasinya
saja; ThinkPad P51 ini menggunakan suffix **"H"** yang artinya
**performa tinggi**. Sedangkan suffix **"U"** pada seri T480/T580 artinya
**power efisien** sehingga saya yakin dari sisi performa, i7-7820**HQ** lebih
baik daripada i7-8650**U**.

P51 juga sudah dibekali dengan GPU **NVIDIA Quadro M1200** (beberapa ada yang
dengan seri **M2000** dengan harga yang lebih tinggi). Untuk input dan output,
bagi saya P51 jauh lebih mempesona dimana dia menawarkan:

-   4-in-1 reader (MMC, SD, SDHC, SDXC), supports UHS-II SD card.
-   4 port USB 3.1 Gen 1 (USB 3.0, 1 Always On).
-   1 port USB 3.1 Type-C / Thunderbolt 3.
-   1 Mini DisplayPort 1.2a.
-   1 port HDMI 1.4b.
-   1 port Ethernet (RJ-45).
-   1 slot ExpressCard/34.

Dan konfigurasi _storage drive_ utama memiliki **2 slot M.2 PCIe NVMe** dengan
**kapasitas masing-masing slot up to 2TB**. Kemudian ditambah
**1 slot SATA 6.0Gb/s** dengan **kapasitas up to 4TB**. Dengan kata lain, jika
dimaksimalkan dari sisi internal storagenya saja, mesin ini mampu membaca
**hingga 8TB**.

Dari pilihan-pilihan diatas, saya sebenarnya lebih condong ke ThinkPad P51,
meskipun harganya sedikit melebihi budget. Dan untuk seri "P", saya yakin pada
akhirnya saya akan mengeluarkan jauh lebih banyak dana untuk memaksimalkan
kemampuuan laptop tersebut.

## Akhirnya, Tawaran Yang Menarik: ThinkPad P50

Di pertengahan bulan Agustus lalu, saya mencoba mencari laptop bekas
ThinkPad P51 di beberapa marketplace lokal. Sangat sulit menemukan harga yang
sesuai dengan budget saya. Sampai pada akhirnya muncul sebuah produk
ThinkPad P50 dengan harga 4.700.000 rupiah! Tanpa menunggu lama, saya
menanyakan apakah produk tersebut masih tersedia dan spesifikasi detail laptop
tersebut.

Setelah spek laptop terkonfirmasi, saya kemudian mendapatkan promo diskon
sebesar 300.000 dari marketplace tersebut! Dua hari kemudian, barang pesanan
yang saya tunggu-tunggu akhirnya tiba.

Berikut ini adalah spefisikasi laptop ThinkPad P50 saat saya terima:

-   Merk: Lenovo
-   Model: ThinkPad P50 (**20EQS44000**)
-   Prosesor: Intel(R) Core(TM) [i7-6820HQ][i76820hq] CPU @ 2.70GHz
-   GPU: **NVIDIA Quadro M1000M 4GB**
-   Network:
    -   Ethernet: 1GbE **I219-LM**
    -   Wireless: Intel(R) Dual Band Wireless-AC 8260
-   Keyboard: SN20H35185 (UK/EU Layout, no backlight)
-   Batrai: Lenovo 00NY491 (4 cells, 66000mWh, 15V)
-   Memori RAM: 8GB/64GB
    -   ChannelA-DIMM0: 8GB SODIMM DDR4 2133 MT/s Samsung M471A1K43CB1-CRC
    -   ChannelA-DIMM1: Kosong
    -   ChannelB-DIMM0: Kosong
    -   ChannelB-DIMM1: Kosong
-   Penyimpanan:
    -   NVMe0: Samsung 256GB
    -   NVMe1: Kosong
    -   SATA: Kosong

Untuk charger laptop, saya mendapatkan model Lenovo **ADL170NLC3A 170W** dengan
input 100-240V dan output 20V-8.5A. Saya juga mendapatkan bonus tas laptop yang
sepertinya tidak muat untuk ukuran laptop 15,6 inch ini. =)

### Kekurangan

Saya akan memulai dengan kekurangan dari kondisi laptop yang saya terima
terlebih dulu.

Layout keyboard bawaan laptop ini menggunakan layout UK/EU tanpa backlight.
Dan kebetulan yang saya terima bermasalah pada trackpointnya. Dia seperti terus
menekan tombol _"middle-button"_ sehingga trackpoint tidak berfungsi
sebagaimana mestinya.

Saya sudah komplain kepada penjual dan mereka menanggapi dengan sangat baik
serta mau memberikan potongan sebesar 300.000 rupiah untuk permasalahan ini.
Saya sangat menghargai dan mengapresiasi niat baik penjual.

Karena trackpoint merupakan bagian penting dari cara saya menggunakan laptop,
saya mencari keyboard pengganti dengan layout US, dan saya mendapatkan versi
layout US dengan backlight dengan harga 600.000 rupiah. Jadi boleh dibilang,
kekurangan soal trackpoint diatas boleh dihilangkan alias impas (bahkan bisa
dibilang untung jika dihitung dengan diskon dari marketplace dan pengembalian
dana dari penjual).

![UK/EU Keyboard Layout][p50_uk_keyboard]

### Kelebihan

Dari kekurangan diatas yang sudah saya "anulir", ada segudang hal baik yang
saya dapatkan:

-   kondisi fisik laptop yang saya terima sangat baik. Memang ada sedikit baret
    tipis pada permukaan laptop, tapi saya rasa hal itu sangat wajar jika
    melihat usia laptop.
-   "Unit test" dari Lenovo's UEFI diagnostic semuanya "PASS" yang artinya baik.
-   Layar LCD juga masih sangat baik, sampai saat ini tidak terlihat adanya
    _white spot_ pada layar.
-   Kipas dan _thermal_ saya rasa masih dalam kondisi optimal.
-   Dari informasi `nvme` maupun S.M.A.R.T di Linux, kondisi NVMe adalah baru
    (meskipun sebenarnya tidak masalah bagi saya karena saya berencana menggantinya).
-   Seluruh port USB 3.0, charger, 4-in-1 card reader (MMC, SD, SDHC, SDXC),
    headphone/microphone combo jack bekerja dengan normal.
-   Daya tahan baterai dalam kondisi sempurna.

Diluar kelebihan dan kekurangan diatas, ada beberapa fitur / _hardware_ yang
belum bisa saya coba atau saya tidak berniat untuk mencoba:

-   Mini DisplayPort, HDMI, USB Type-C / Thunderbolt 3, dan ExpressCard slot
    belum sempat saya coba karena saya tidak memiliki media untuk mencobanya.
-   Wireless WAN M.2 card Micro-SIM belum sempat saya coba.
-   Saya tidak berminat mencoba Fingerprint Reader dan
    **Pantone color calibrator** karena saya tidak menggunakannya.

### Performa

Bicara soal performa, saya kurang bisa memberikan _"review"_ yang lengkap
karena kebanyakan saya menggunakan laptop hanya untuk bekerja (yang dalam hal
ini meremote server, mengcompile program C, Rust, ataupun Go). Saya juga tidak
bermain game, jadi untuk Intel CPU generasi ke-6 ini sudah lebih dari cukup
buat saya.

Tapi ada satu test yang saya coba, yaitu melakukan _re-encoding_ video 4K
menggunakan **FFmpeg**. Saya melakukan test sebanyak 2 kali: yang pertama hanya
mengandalkan CPU, dan yang kedua menggunakan GPU NVIDIA bawaan laptop ini.
RAM yang terinstall saat melakukan test hanya 8GB sedangkan video yang diproses
adalah video 4K UHD (resolusi 3840x2160 px) 30FPS yang berdurasi 10 menit
31 detik.

Test pertama yang hanya mengandalkan CPU **i7-6820HQ** memakan waktu
**40 menit 45 detik**. Temperatur CPU rata-rata di 79 derajat Celsius yang
kadang-kadang _spike_ hingga 84 derajat Celsius.

Untuk test kedua yang menggunakan NVIDIA **Quadro M1000M** memakan waktu
**7 menit 32 detik**. Temperatur CPU rata-rata berada di 71 derajat Celsius
yang kadang-kadang loncat ke 74 derajat Celsius.

Proses testing tersebut bisa dilihat di video dibawah ini:

{{< youtube Qr1r1mPSYjE >}}

## Kesimpulan

_Overall_, saya puas dengan kondisi produk yang saya dapatkan. Serius, saya
terkejut dan salut dengan daya tahan baterai untuk pemakaian normal yang mampu
**bertahan hingga 7 jam dengan mode "hybrid"** dan
**3 - 4 jam pemakaian dengan mode grafis**.

Untuk _disk storage_, saya pasti akan melakukan upgrade. Saat ini saya lebih
memprioritaskan upgrade NVMe storage ke kapasitas yang lebih besar. Di tanggal
30 Agustus 2024, saya mengganti NVMe SSD bawaan laptop ini dengan
**Team MP33 Pro 1TB**. Proses penggantian dan test performa
_sequential/random read_ bisa dilihat di video YouTube
[_"Replace ThinkPad P50 NVMe Storage (Team MP33 Pro 1TB)"_][yt_nvme_test].

Sedangkan untuk RAM, saat ini saya masih merasa cukup dengan 8GB. Namun
kedepannya saya pasti akan memaksimalkan RAM pada ThinkPad P50 saya ini!

Informasi hardware dan konfigurasi sistem (Linux) ThinkPad P50 ini bisa dilihat
di [repositori GitHub][my_p50] saya.

Sedangkan untuk nasib ThinkPad T420, kedepannya saya berencana menjadikannya
sebagai sebuah mini server dan _testing machine_.

[my_t420]: https://github.com/ditatompel/ditatompel/tree/main/machines/t420 "My ThinkPad T420 GitHub Repo"
[my_t420_monitor]: screen-cryin-t420.jpg#center "Internal monitor T420 saya: tidak jelas dan sangat tidak responsif"
[my_p50]: https://github.com/ditatompel/ditatompel/tree/main/machines/p50 "My ThinkPad P50 GitHub Repo"
[p50_uk_keyboard]: uk-eu-p50-keyboard-layout.jpg#center "UK/EU keyboard layout"
[yt_nvme_test]: https://www.youtube.com/watch?v=YtuV_HY9zxg "Replace ThinkPad P50 NVMe Storage (Team MP33 Pro 1TB + read test)"
[i52520m]: https://www.intel.com/content/www/us/en/products/sku/52229/intel-core-i52520m-processor-3m-cache-up-to-3-20-ghz/specifications.html "Intel(R) Core(TM) i5-2520M specifications"
[i72620m]: https://www.intel.com/content/www/us/en/products/sku/52231/intel-core-i72620m-processor-4m-cache-up-to-3-40-ghz/specifications.html "Intel(R) Core(TM) i7-2620M specifications"
[i76820hq]: https://www.intel.com/content/www/us/en/products/sku/88970/intel-core-i76820hq-processor-8m-cache-up-to-3-60-ghz/specifications.html "Intel(R) Core(TM) i7-6820HQ specifications"
[850evo]: https://www.samsung.com/id/memory-storage/sata-ssd/850-evo-sata-3-ssd-500gb-mz-75e500bw/ "Samsung 850 EVO SATA III"
