---
title: "The Search is Over: Swapping Out My Broken T420 for a Ready to Rock ThinkPad P50"
description: I finally got a replacement for my broken ThinkPad T420 laptop, and it's a significant improvement.
summary: I finally got a replacement for my broken ThinkPad T420 laptop, and it's a significant improvement.
keywords:
    - Lenovo
    - ThinkPad
    - ThinkPad P50
    - ThinkPad T420
date: 2024-08-29T21:22:51+07:00
lastmod:
draft: false
noindex: false
featured: false
pinned: false
tags:
    - Lenovo
    - ThinkPad
authors:
    - ditatompel
---

I've been using a **Lenovo ThinkPad T420** as my daily laptop for years. Many
applications have been born from this laptop, and I also maintain several
servers through [my trusty ThinkPad T420][my_t420].

To share a little story with you, I upgraded my ThinkPad T420's CPU
independently - initially, it used an Intel Core [i5-2520M][i52520m] processor,
which I later swapped out for an Intel Core [i7-2620M][i72620m]. Additionally,
I replaced the heat sink with a better one to minimize CPU throttling.

For memory, I outfitted it with two 8GB DDR3 RAM chips, giving it a total of
16GB of RAM. As for storage, my ThinkPad T420 is equipped with a 500GB
[Samsung SATA SSD 850 EVO][850evo], a 512GB mSATA SSD, and a 1TB SATA HGST
hard drive (7200RPM). I must say, I'm quite pleased with the result!

## The T420 Starts to Show Its Age

![Screen Crying T420][my_t420_monitor]

However, around March 2024, my T420 began to show its age. The LCD screen's
color quality became unclear and unresponsive, some keyboard buttons
stopped working altogether, and worst of all: it struggled to maintain a stable
temperature, often overheating. Even streaming YouTube videos in 480p quality
for more than 5 minutes was no longer possible.

I realize that the temperature issue might be addressed by cleaning the fan
and applying good thermal paste; however, I think the cost of fixing these
problems would be comparable to purchasing a used unit from the same series
(or even higher).

So, it seems the best course of action is to purchase another model that's
"younger" and more modern to replace my aging ThinkPad T420. At the time of
writing this article, my trusty laptop is well over 12 years old.

## Replacement Options

I'm not concerned with a laptop's slim design, lightweight build, or
aesthetic appeal. However, I do have some essential criteria for my
daily laptop, which are:

1. The price must be capped at $380.
2. The CPU architecture must be `x86_64` and support virtualization capabilities.
3. It must feature an Ethernet port (`RJ-45`) for reliable connectivity.
4. The keyboard should provide a comfortable and pleasant typing experience.
5. Easy disassembly and configuration are important, along with a variety of
   inputs and outputs, such as USB ports, internal storage, and more.
6. A trackpoint is also a must-have.

It's clear that I'm leaning towards a used ThinkPad laptop. The question is,
which model would be the best fit for me right now? I've always been fond
of the "T" series, but I'm also intrigued by the "P" series.
Among these options, the following models stand out to me:

-   ThinkPad T480
-   ThinkPad T580
-   ThinkPad P51

| Model     | T480                | T580                | P51                 |
| --------- | ------------------- | ------------------- | ------------------- |
| Screen    | 14"                 | 15.6"               | 15.6"               |
| Processor | i5-8250U (8th Gen)  | i7-8650U (8th Gen)  | i7-7820HQ (7th Gen) |
| GPU       | -                   | -                   | NVIDIA Quadro M1200 |
| Memory    | 2 banks, up to 32GB | 2 banks, up to 32GB | 4 banks, up to 64GB |
| Disk      | up to 2 drives      | up to 2 drives      | up to 3 drives      |
| Price     | ~ $232              | ~ $323              | ~ $400              |

From the quick comparison table above:

-   The average price I took for the "T" series is the 8GB RAM and 256GB SSD configuration.
-   The average price I took for the "P" series is the 16GB RAM and 512GB SSD configuration.

### ThinkPad T480/T580

In terms of hardware specifications, the primary differences between the T480
and T580 for me are the screen size and processor. The ThinkPad T480 features
a 14-inch display, whereas the T580 boasts a 15.6-inch screen.

Both the T480 and T580 series offer variants that utilize the
**NVIDIA GeForce MX150** GPU; however, these models are significantly more
expensive and harder to find. Additionally, both series share similar
input/output configurations, including:

-   A 4-in-1 card reader supporting MMC, SD, SDHC, and SDXC formats.
-   Two USB 3.1 Gen 1 ports.
-   One USB 3.1 Type-C Gen 1 port, which serves as a power input and DisplayPort.
-   One USB 3.1 Type-C Gen 2 / Thunderbolt 3 port.
-   One HDMI 1.4b port.
-   One Ethernet port (RJ-45).
-   A headphone/microphone combo jack.

The main storage drive configurations also vary, with most sellers not
providing detailed information on whether the primary drive installed is SATA
or NVMe M.2.

### ThinkPad P51

The ThinkPad P51 is the "P" series or the successor to the "W" series, which
has always fascinated me. While it may seem that the CPU generation is one step
behind compared to the ThinkPad T480/T580 (Intel Core Gen 8),
don't underestimate the performance capabilities of the ThinkPad P51.
The suffix **"H"** indicates **high-performance** processing, whereas the
**"U"** suffix on the T480/T580 series signifies power **efficiency**.
I am confident that the i7-7820**HQ** processor in the P51 outperforms the
i7-8650**U** in the T480/T580.

The P51 also features an **NVIDIA Quadro M1200** GPU (some models come with the
**M2000** series at a higher price). In terms of input/output capabilities,
I am impressed by the P51's offering:

-   A 4-in-1 card reader supporting MMC, SD, SDHC, and SDXC formats,
    with UHS-II SD card compatibility.
-   Four USB 3.1 Gen 1 ports (one always-on).
-   One USB 3.1 Type-C / Thunderbolt 3 port.
-   One Mini DisplayPort 1.2a.
-   One HDMI 1.4b port.
-   One Ethernet port (RJ-45).
-   One ExpressCard/34 slot.

The P51's main storage drive configuration is particularly impressive,
featuring **two M.2 PCIe NVMe** slots with a capacity of **up to 2TB each** and
**one SATA 6.0Gb/s** slot with a capacity of **up to 4TB**. In other words,
this machine has the potential to **store up to 8TB internally**.

Of the options above, I find myself leaning more towards the ThinkPad P51,
despite its slightly higher price point. Furthermore, for the "P" series,
I am prepared to invest additional funds to maximize the laptop's capabilities.

## Finally, a Good Deal: ThinkPad P50

In mid-August, I tried to find a used ThinkPad P51 laptop in several online
marketplaces. It was challenging to find a price that fit my budget until
finally, I found a fancy ThinkPad P50 for about **$304**!
Without hesitation, I inquired about the product's availability and
specifications.

Once the laptop specifications were confirmed, I received a discount promo
of ~$20 from the marketplace! Two days later, the order that I had been waiting
for finally arrived.

The following are the specifications of the ThinkPad P50 laptop as they stood
when I received it:

-   Brand: Lenovo
-   Model: ThinkPad P50 (**20EQS44000**)
-   Processor: Intel(R) Core(TM) [i7-6820HQ][i76820hq] CPU @ 2.70GHz
-   GPU: **NVIDIA Quadro M1000M 4GB**
-   Network:
    -   Ethernet: 1GbE **I219-LM**
    -   Wireless: Intel(R) Dual Band Wireless-AC 8260
-   Keyboard: **SN20H35185** (**UK/EU** Layout, no backlight)
-   Battery: Lenovo **00NY491** (4 cells, 66000mWh, 15V)
-   Memory : **8GB**/64GB
    -   ChannelA-DIMM0: 8GB SODIMM DDR4 2133 MT/s Samsung M471A1K43CB1-CRC
    -   ChannelA-DIMM1: None
    -   ChannelB-DIMM0: None
    -   ChannelB-DIMM1: None
-   Storage:
    -   NVMe0: Samsung 256GB
    -   NVMe1: None
    -   SATA: None

As for the laptop charger, I received the Lenovo **ADL170NLC3A 170W** model
with a 100-240V input and a 20V-8.5A output. Additionally, I got a bonus
laptop bag that didn't seem to fit this 15.6-inch laptop.

### The Bad

I'll start by discussing the negative aspects of the laptop I received.

The default keyboard layout on this laptop is set to UK/EU, without backlight.
Additionally, the trackpoint was faulty, as if it had a sticky middle button
that prevented proper functioning.

I reported these issues to the seller and they responded promptly, offering a
discount of ~$20 to compensate for the problem. I appreciated their willingness
to resolve the issue.

Since the trackpoint is crucial to my laptop usage, I sought a replacement
keyboard with a US layout (with backlight), which I purchased for about $38.
In essence, this issue has been mitigated, effectively breaking even
(or even making a profit) when considering the discount from the marketplace
and the refund from the seller.

![UK/EU Keyboard Layout][p50_uk_keyboard]

### The Goods

Despite the initial issues, there were many positive aspects to the laptop:

-   The physical condition of the laptop I received was excellent. While there
    were some minor scratches on its surface, I believe this is reasonable
    given the laptop's age.
-   The Lenovo's UEFI diagnostic "unit test" all reported a "PASS" result,
    indicating good starting point.
-   The LCD screen remains in good condition, with no white spots visible to date.
-   I'm satisfied that the fan and thermal systems are functioning optimally.
-   According to `nvme` and S.M.A.R.T information in Linux, the NVMe condition
    appears new (although this is of little consequence, as I plan to replace it).
-   All USB 3.0 ports, charger, 4-in-1 card reader (MMC, SD, SDHC, SDXC), and
    headphone/microphone combo jack were functioning normally.
-   Battery life was in excellent condition.

In addition to these goods and bad, there are some features/hardware that I
have not been able to test or do not intend to use:

-   I haven't had the opportunity to try the Mini DisplayPort, HDMI,
    USB Type-C/Thunderbolt 3, or ExpressCard slot, as I lack the necessary media.
-   The Wireless WAN M.2 card Micro-SIM is another feature I have yet to test.
-   I'm not interested in testing the Fingerprint Reader and
    **Pantone color calibrator**, as I do not utilize these features.

### Performance

When it comes to performance, I'd like to share my experience, but I must
preface that my primary use of this laptop is for work (specifically remote
servers, compiling C, Rust, or Go programs). As a non-gamer, I don't rely on
the CPU's gaming capabilities, so the 6th generation Intel CPU is more than
sufficient for my needs.

However, I did conduct one test using **FFmpeg** to re-encode 4K video.
I performed the test twice: once relying solely on the CPU and again utilizing
the NVIDIA GPU integrated into this laptop. During both tests, the RAM was set
to 8GB, while the processed video had a resolution of 3840x2160 pixels,
30 frames per second, and a duration of 10 minutes and 31 seconds.

The first test, relying solely on the **i7-6820HQ** CPU, took approximately
**40 minutes and 45 seconds**. The average CPU temperature during this test was
79 degrees Celsius, with occasional spikes reaching 84 degrees Celsius.

In contrast, the second test utilizing the NVIDIA **Quadro M1000M** GPU
completed in a mere **7 minutes and 32 seconds**. During this test, the average
CPU temperature was 71 degrees Celsius, with occasional jumps to 74 degrees
Celsius.

The testing process can be viewed in the video below:

{{< youtube Qr1r1mPSYjE >}}

## Conclusion

Overall, I am satisfied with the condition of the product I received.
To be honest, I was pleasantly surprised and impressed by the battery life for
normal use, which can last up to **7 hours in "hybrid" mode** and
**3-4 hours in graphics mode**.

For disk storage, I plan to upgrade it. Currently, I prioritize upgrading
NVMe storage to a larger capacity. On August 30, 2024, I upgraded the laptop's
default NVMe SSD with a **Team MP33 Pro 1TB**. The replacement process and
sequential/random read performance test can be viewed in the YouTube video
titled ["Replace ThinkPad P50 NVMe Storage (Team MP33 Pro 1TB)"][yt_nvme_test].

As for RAM, while I currently feel sufficient with 8GB, I do intend to maximize
the RAM on my ThinkPad P50 in the future!

Hardware information and system configuration (Linux) of my ThinkPad P50 can be
found on my [GitHub repository][my_p50].

As for the fate of the ThinkPad T420, I plan to repurpose it as a mini server
and testing machine in the future.

[my_t420]: https://github.com/ditatompel/ditatompel/tree/main/machines/t420 "My ThinkPad T420 GitHub Repo"
[my_t420_monitor]: screen-cryin-t420.jpg#center "My T420's internal monitor: unclear and unresponsive"
[my_p50]: https://github.com/ditatompel/ditatompel/tree/main/machines/p50 "My ThinkPad P50 GitHub Repo"
[p50_uk_keyboard]: uk-eu-p50-keyboard-layout.jpg#center "UK/EU keyboard layout"
[yt_nvme_test]: https://www.youtube.com/watch?v=YtuV_HY9zxg "Replace ThinkPad P50 NVMe Storage (Team MP33 Pro 1TB + read test)"
[i52520m]: https://www.intel.com/content/www/us/en/products/sku/52229/intel-core-i52520m-processor-3m-cache-up-to-3-20-ghz/specifications.html "Intel(R) Core(TM) i5-2520M specifications"
[i72620m]: https://www.intel.com/content/www/us/en/products/sku/52231/intel-core-i72620m-processor-4m-cache-up-to-3-40-ghz/specifications.html "Intel(R) Core(TM) i7-2620M specifications"
[i76820hq]: https://www.intel.com/content/www/us/en/products/sku/88970/intel-core-i76820hq-processor-8m-cache-up-to-3-60-ghz/specifications.html "Intel(R) Core(TM) i7-6820HQ specifications"
[850evo]: https://www.samsung.com/id/memory-storage/sata-ssd/850-evo-sata-3-ssd-500gb-mz-75e500bw/ "Samsung 850 EVO SATA III"
